#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	NetSurf public suffix list handling
Summary(pl.UTF-8):	Obsługa listy przyrostków publicznych (Public Suffix List) dla projektu NetSurf
Name:		libnspsl
Version:	0.1.7
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	85aac1153a663faf958557d2cb8c85b6
URL:		http://www.netsurf-browser.org/projects/libnspsl/
BuildRequires:	netsurf-buildsystem >= 1.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The public suffix list is a database of top level domain names
(https://publicsuffix.org/). The database allows an application to
determine if if a domain name requires an additional label to be
valid.

%description -l pl.UTF-8
Lista przyrostków publicznych (Public Suffix List) to baza danych nazw
domen głównego poziomu (https://publicsuffix.org/). Baza pozwala
aplikacjom określić, czy nazwa domeny wymaga dodatkowej etykiety, aby
była poprawna.

%package devel
Summary:	libnspsl library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnspsl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the include files and other resources you can
use to incorporate libnspsl into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libnspsl w swoich
programach.

%package static
Summary:	libnspsl static library
Summary(pl.UTF-8):	Statyczna biblioteka libnspsl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libnspsl library.

%description static -l pl.UTF-8
Statyczna biblioteka libnspsl.

%prep
%setup -q

%build
export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-shared

%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT
export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_libdir}/libnspsl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnspsl.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnspsl.so
%{_includedir}/nspsl.h
%{_pkgconfigdir}/libnspsl.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnspsl.a
%endif
%changelog
* Fri Mar 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnspsl.git;a=log;h=master

* Sat Jan 06 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 47b8cd3
- updated to 0.1.7

* Sat May 30 2020 Witold Filipczyk <witekfl@poczta.onet.pl> a5a2f5e
- updated to 0.1.6

* Sat Nov 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 664deb6
- updated to 0.1.5

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> c4ac866
- updated to 0.1.3

* Mon Oct 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> dbdb39d
- updated to 0.1.2

* Fri Nov 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 3be8cda
- pl

* Mon Nov 21 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 709f878
- new

